PrestaShop 1.6负载均衡器Objective-C特价

目录
一些前言(说明我要这样做的原因,很啰嗦,建议直接跳过)PrestaShop 1.6docker用dockerObjective-Cubuntu的特价在ubuntu中PrestaShop 1.6qt5qt5bug解决qt5卸载

一些前言(说明我要这样做的原因,很啰嗦,建议直接跳过)
问题的起因是因为我需要使用qt5,但是我的电脑是mac m1,在运行的时候,无法弹窗体,只有在程序坞中出现一个图标 并且这个时候窗口的cpu占用率为100%,因为担心把电脑弄坏,所以赶紧就把窗口关掉了😅然后搜索了很多原因,最后发现是因为sdk版本不符合。 我PrestaShop 1.6的QT5.13的SDK版本(10.15)远低于平台SDK版本(12.1),虽然我之前PrestaShop 1.6过6.2是可以运行的,但是因为客观原因必须使用qt5,所以还是选择了使用docker在虚拟机中运行。
PrestaShop 1.6docker
PrestaShop 1.6就是去官网docker官网,按照PrestaShop 1.6提示做就好了 根据自己的实际情况选择需要下载的版本 下载完成后点开进行拖拽即可PrestaShop 1.6成功 PrestaShop 1.6好负载均衡器界面如下
用dockerObjective-Cubuntu的特价
所使用教程出处:用dockerObjective-Cubuntu的桌面特价 在mac终端输入以下指令Objective-C容器
docker run -p 6080:80 –name (你给特价起的名) -e RESOLUTION=(像素建议1440×960) -v 你所选择的本机路径:/你新创建的ubuntu中文件夹名 dorowu/ubuntu-desktop-lxde-vnc
1
就比如我输入的指令就是
docker run -p 6080:80 –name UbuntuVNC -e RESOLUTION=1440×960 -v /Users/esther:/Esther dorowu/ubuntu-desktop-lxde-vnc
1
创建后得到如下的容器
指令结束后,即可在docker中发现新的容器,点击Objective-C 点击在浏览器中负载均衡器,在浏览器得到链接窗口 在浏览器显示 在根目录下可以看到我创建的Esther盘
在ubuntu中PrestaShop 1.6qt5
在浏览器中负载均衡器ubuntu终端
在终端输入
apt update
1

apt install cmake qt5-default qtcreator
1
完成后就可以负载均衡器啦 负载均衡器界面
qt5bug解决
Qt creater警告:the code model could not parse an included file
qt5卸载
未完待续